Summary: A library for accessing various audio file formats
Name: audiofile
Version: 0.3.6
Release: 1
License: LGPL
Group: System Environment/Libraries
Source0: http://www.68k.org/~michael/%{name}/%{name}-%{version}.tar.gz
Source1: lib%{name}.so.0-aix32
Source2: lib%{name}.so.0-aix64
Patch0: %{name}-%{version}-aix.patch
URL: http://www.68k.org/~michael/audiofile/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: patch
BuildRequires: gcc >= 4.2.3-2
BuildRequires: gcc-c++ >= 4.2.3-2
BuildRequires: libstdc++-devel >= 4.2.3-2
BuildRequires: flac-devel >= 1.2.1-3

Requires:      libgcc >= 4.2.3-2
Requires:      libstdc++ >= 4.2.3-2
Requires:      flac >= 1.2.1-3

%description
The Audio File library is an implementation of the Audio File Library
from SGI, which provides an API for accessing audio file formats like
AIFF/AIFF-C, WAVE, and NeXT/Sun .snd/.au files. This library is used
by the EsounD daemon.

Install audiofile if you are installing EsounD or you need an API for
any of the sound file formats it can handle.

The library is available as 32-bit and 64-bit.


%package devel
Summary: Development files for Audio File applications
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkg-config >= 0.23

%description devel
The audiofile-devel package contains libraries, include files, and
other resources you can use to develop Audio File applications.

If you are compiling a 32-bit program, no special compiler options are
needed.

If you are compiling a 64-bit program, you have to compile and link your
application with "cc -q64" or "gcc -maix64".


%prep
%setup -q
export PATH=/opt/freeware/bin:$PATH
%patch0

# fake an empty <stdint.h> as AIX5L V5.1 doesn't have one
cat > stdint.h << EOF
#if defined(_AIX) && !defined(_AIX52)
#include <inttypes.h>
#endif
EOF


%build
export CONFIG_SHELL=/usr/bin/ksh
export CONFIG_ENV_ARGS=/usr/bin/ksh

export CFLAGS="-DSYSV -D_AIX -D_AIX32 -D_AIX41 -D_AIX43 -D_AIX51 -D_ALL_SOURCE -DFUNCPROTO=15 -O -I/opt/freeware/include"
export CXXFLAGS="${CFLAGS}"

# first build the 64-bit version
export OBJECT_MODE=64
export CC="gcc -maix64"
export CXX="g++ -maix64"
export LDFLAGS="-L/opt/freeware/lib64 -L/opt/freeware/lib -Wl,-blibpath:/opt/freeware/lib64:/opt/freeware/lib:/usr/lib:/lib -Wl,-bmaxdata:0x80000000"
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --enable-shared --disable-static
make %{?_smp_mflags}

cp lib%{name}/.libs/lib%{name}.so.1 .
make distclean

# now build the 32-bit version
export OBJECT_MODE=32
export CC="gcc -maix32"
export CXX="g++ -maix32"
export LDFLAGS="-L/opt/freeware/lib -Wl,-blibpath:/opt/freeware/lib:/usr/lib:/lib -Wl,-bmaxdata:0x80000000"
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --enable-shared --disable-static \
    --disable-largefile
make %{?_smp_mflags}

# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared objects
/usr/bin/ar -X32_64 -q lib%{name}/.libs/lib%{name}.a ./lib%{name}.so.1

# Add the older shared members for compatibility with older apps
# (make sure they're set for LOADONLY with 'strip -e')
cp %{SOURCE1} lib%{name}.so.0
/usr/bin/strip -X32 -e lib%{name}.so.0
/usr/bin/ar -X32 -q lib%{name}/.libs/lib%{name}.a lib%{name}.so.0
cp %{SOURCE2} lib%{name}.so.0
/usr/bin/strip -X64 -e lib%{name}.so.0
/usr/bin/ar -X64 -q lib%{name}/.libs/lib%{name}.a lib%{name}.so.0


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)

rm -f docs/Makefile*


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc COPYING TODO README ChangeLog docs
%{_bindir}/sf*
%{_libdir}/*.a
/usr/bin/sf*
/usr/lib/*.a


%files devel
%defattr(-,root,system)
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc
/usr/include/*
/usr/lib/*.la


%changelog
* Mon Mar 25 2013 Michael Perzl <michael@perzl.org> - 0.3.6-1
- updated to version 0.3.6

* Mon Mar 25 2013 Michael Perzl <michael@perzl.org> - 0.3.5-1
- updated to version 0.3.5

* Mon Mar 25 2013 Michael Perzl <michael@perzl.org> - 0.3.4-1
- updated to version 0.3.4

* Mon Mar 25 2013 Michael Perzl <michael@perzl.org> - 0.3.3-1
- updated to version 0.3.3

* Mon Mar 25 2013 Michael Perzl <michael@perzl.org> - 0.3.2-1
- updated to version 0.3.2

* Mon Mar 25 2013 Michael Perzl <michael@perzl.org> - 0.3.1-1
- updated to version 0.3.1

* Tue Sep 12 2011 Michael Perzl <michael@perzl.org> - 0.3.0-1
- updated to version 0.3.0

* Mon Mar 22 2010 Michael Perzl <michael@perzl.org> - 0.2.7-1
- updated to version 0.2.7

* Thu Oct 01 2009 Michael Perzl <michael@perzl.org> - 0.2.6-2
- fixed an aclocal issue

* Tue Apr 15 2008 Michael Perzl <michael@perzl.org> - 0.2.6-1
- first version for AIX V5.1 and higher
